package pjv1;

/**
 *
 * @author jelinek
 */
public class Auto {

    /**
     * staticka promenna
     */
    static int pocetAut = 0;
    /**
     * instancni promenne
     */
    private String barva;
    private String jmeno;
    double prumerSpotreba;
    boolean klimatizace;

 
    public Auto(String b, String j, double pS, boolean k) {
        barva = b;
        jmeno = j;
        prumerSpotreba = pS;
        klimatizace = k;
    }

    /**
     * instancni metody
     */
    public void startuj() {
        System.out.println("Startuje auto " + jmeno);
        pocetAut++;
        System.out.println("Jede " + pocetAut + " aut");
    }

    public void zrychli() {
        System.out.println("Auto: " + jmeno + " zrychluje");
    }

    public void zastav() {
        System.out.println("Auto: " + jmeno + " zastavuje");
        pocetAut--;
        System.out.println("Jede " + pocetAut + " aut");
    }

    public void brzdi() {
        System.out.println("Auto: " + jmeno + " brzdí");
    }

    public void zatoc() {
        System.out.println("Auto: " + jmeno + " zatáčí");
    }

    public double getPrumSpotreba() {
        return prumerSpotreba;
    }

    public String getBarva() {
        return barva;
    }

    public void setBarva(String barva) {
        this.barva = barva;
    }

    public String getJmeno() {
        return jmeno;
    }

    public void setJmeno(String jjmeno) {
        jmeno = jjmeno;
    }

    public boolean isKlimatizace() {
        return klimatizace;
    }

    public void setKlimatizace(boolean klimatizace) {
        this.klimatizace = klimatizace;
    }

    public static int getPocetAut() {
        return pocetAut;
    }

    public static void setPocetAut(int pocetAut) {
        Auto.pocetAut = pocetAut;
    }

    public double getPrumerSpotreba() {
        return prumerSpotreba;
    }

    public void setPrumerSpotreba(double prumerSpotreba) {
        this.prumerSpotreba = prumerSpotreba;
    }

    public void setPrumSpotreba(double pS) {
        prumerSpotreba= pS;
    }

    public double getSpotreba(int pocetKM) {
        return pocetKM * prumerSpotreba;
    }

    static void getInformace(String napis) {
        System.out.println("Informace:" + napis);
    }
}
