package pjv1;

public class Complex {
// datové složky

    double re = 0;
    private double im = 0;
// konstruktory

    public Complex() {
    }

    public Complex(double r) {
        this(r, 0.0);
    }

    public Complex(double r, double i) {
        re = r;
        im = i;
    }
// metody (operace)

    public double getAbs() {
        return Math.sqrt(re * re + im * im);
    }

    public Complex prictiK(Complex c) {
        return new Complex(re + c.re, im + c.im);
    }

    public Complex sectiDva(Complex c1,Complex c2) {
        return new Complex(c1.re + c2.re, c1.im + c2.im);
    }


    public Complex odeMneOdecti(Complex c) {
        return new Complex(re - c.re, im - c.im);
    }

    public void setRe(double reP) {
        re = reP;
    }

    public void setIm(double imP) {
        im = imP;
    }

    double getIm() {
        return this.im;
    }

    double getRe() {
        return this.re;
    }
/*
    @Override
    public String toString() {
        return "[" + re + ", " + im + "]";
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 83 * hash + (int) (Double.doubleToLongBits(this.re) ^ (Double.doubleToLongBits(this.re) >>> 32));
        hash = 83 * hash + (int) (Double.doubleToLongBits(this.im) ^ (Double.doubleToLongBits(this.im) >>> 32));
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Complex other = (Complex) obj;
        if (Double.doubleToLongBits(this.re) != Double.doubleToLongBits(other.re)) {
            return false;
        }
        if (Double.doubleToLongBits(this.im) != Double.doubleToLongBits(other.im)) {
            return false;
        }
        return true;
    }
    */
}
